Skip to content

Teams

teams


GET /api/v1/teams/

List Teams

Description

List all teams the current user owns or is a member of.

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No

Responses

[
    {
        "id": "string",
        "name": "string",
        "description": "string",
        "url": "string",
        "image": "string",
        "privacy_statement": "string",
        "role": null
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/TeamResponse"
    },
    "title": "Response List Teams Api V1 Teams  Get"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/teams/authorized

List Authorized Teams

Description

List all teams the current user has authorized to access their data.

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No

Responses

[
    {
        "id": "string",
        "name": "string",
        "description": "string",
        "url": "string",
        "image": "string",
        "privacy_statement": "string",
        "scopes": [
            "data:read"
        ]
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/AuthorizedTeamResponse"
    },
    "title": "Response List Authorized Teams Api V1 Teams Authorized Get"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/teams/{team_id}/authorize

Authorize Team

Description

Authorize a team to access a managed user's data.

Requires a delegated token — the subject (sub) must be a managed user of the authorized party (azp). Regular users authorize teams through the browser-based OAuth flow.

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
team_id path string No
token cookie string No

Request body

{
    "scopes": [
        "data:read"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "scopes": {
            "items": {
                "$ref": "#/components/schemas/Scope"
            },
            "type": "array",
            "title": "Scopes"
        }
    },
    "type": "object",
    "required": [
        "scopes"
    ],
    "title": "AuthorizeTeamRequest",
    "description": "Request body for authorizing a team to access user data."
}

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/teams/{team_id}/authorize

Revoke Team Authorization

Description

Revoke a team's authorization to access a managed user's data.

Requires a delegated token — the subject (sub) must be a managed user of the authorized party (azp). Regular users manage team authorizations through the browser.

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
team_id path string No
token cookie string No

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/teams/{team_id}/users

List Team Users

Description

List all users who have authorized a team to access their data. Only accessible by team members.

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
team_id path string No
token cookie string No

Responses

[
    {
        "id": "string",
        "first_name": null,
        "last_name": null,
        "scopes": [
            "data:read"
        ],
        "display_name": "string",
        "is_managed": true
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/UserSummary"
    },
    "title": "Response List Team Users Api V1 Teams  Team Id  Users Get"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

ApplicationMemberRole

Type: string

AuthorizedTeamResponse

Name Type Description
description string
id string
image string(uri)
name string
privacy_statement string(uri)
scopes Array<Scope>
url string(uri)

AuthorizeTeamRequest

Name Type Description
scopes Array<Scope>

HTTPValidationError

Name Type Description
detail Array<ValidationError>

Scope

Type: string

TeamResponse

Name Type Description
description string
id string
image string(uri)
name string
privacy_statement string(uri)
role
url string(uri)

UserSummary

Name Type Description
display_name string
first_name
id string
is_managed boolean
last_name
scopes Array<Scope>

ValidationError

Name Type Description
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
HTTPBearer http bearer
HTTPBasic http basic